RawFrame
API referenceWebhook events

A generation finished successfully

Signed per the Standard Webhooks spec (webhook-id, webhook-timestamp, webhook-signature).

Request Body

application/json
  1. body
id*string
Match^evt_
type*EventType
Value in"generation.succeeded""generation.failed""generation.canceled"
created_at*string
Formatdate-time
data*

Response Body

Acknowledged. Any other status is retried.

Example Requests
POST/generation.succeeded
Request Body
application/json
{  "id": "string",  "type": "generation.succeeded",  "created_at": "2019-08-24T14:15:22Z",  "data": {    "generation": {      "object": "generation",      "id": "gen_01jbxa3m4n5p6q7r8s9t",      "model": "string",      "type": "image",      "mode": "text_to_image",      "status": "queued",      "price_estimate_micros": 0,      "created_at": "2019-08-24T14:15:22Z"    }  }}